Download it now!
Bug 107484 - Non-english font names claim to be substituted in font name toolbar control
Summary: Non-english font names claim to be substituted in font name toolbar control
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 80812 (view as bug list)
Depends on:
Blocks: CJK Toolbars Font-Substitution
  Show dependency treegraph
 
Reported: 2017-04-27 14:05 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-23 02:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-04-27 14:05:36 UTC
Steps:
1) Install MS Gothic and MS Mincho fonts if not already installed
2) Open attachment 132877 [details]
3) Notice that in the font name drop down, it shows the font names in italics (what happens when fonts are substituted)

The problem in the font name drop down is it is displaying the alternative name for the font rather than the english name.

Version: 5.4.0.0.alpha0+
Build ID: f0340e3dca1091accdb71e0c566b96cdf9e0f791
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-21_13:34:48
Locale: en-US (en_US.UTF-8); Calc: group

Screenshot - attachment 132879 [details]
Comment 1 Yousuf Philips (jay) (retired) 2017-04-27 14:09:29 UTC
Khaled's comment (bug 107462 comment 3): Marking the font as being substituted when localized name is used in a different locale is also an independent issue and should be reported separately.
Comment 2 Yousuf Philips (jay) (retired) 2017-10-22 18:31:33 UTC
*** Bug 80812 has been marked as a duplicate of this bug. ***
Comment 3 Yousuf Philips (jay) (retired) 2017-10-22 18:34:27 UTC
Same issue happens with duplicate bug (bug 80812) with attachment 102136 [details] with most cells show 微软雅黑 in italics in the font name combox though Microsoft YaHei is installed on the system.
Comment 4 QA Administrators 2018-10-23 02:50:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug